"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const React = tslib_1.__importStar(require("react"));
const react_native_1 = require("react-native");
/**
 * ? Local Imports
 */
const MultiGridSingleSelect_style_1 = tslib_1.__importDefault(require("./MultiGridSingleSelect.style"));
const Card_1 = tslib_1.__importDefault(require("./components/Card/Card"));
class MultiGridSingleSelect extends React.Component {
    constructor(props) {
        super(props);
        this.handleSelectedData = (selectedItem) => {
            const { onSelect } = this.props;
            const index = this.state.selectedItems.findIndex((_item) => _item.cardId === selectedItem.cardId);
            if (index !== -1) {
                // Splice(Delete) the matched ID
                this.state.selectedItems.splice(index, 1);
                this.setState({ selectedItems: this.state.selectedItems }, () => {
                    const joined = this.state.selectedItems.concat(selectedItem);
                    this.setState({ selectedItems: joined }, () => onSelect && onSelect(this.state.selectedItems));
                });
            }
            else {
                const joined = this.state.selectedItems.concat(selectedItem);
                this.setState({ selectedItems: joined }, () => onSelect && onSelect(this.state.selectedItems));
            }
        };
        /* -------------------------------------------------------------------------- */
        /*                               Render Methods                               */
        /* -------------------------------------------------------------------------- */
        this.renderCard = (data) => {
            return (<Card_1.default data={data.item} onSelect={(selectedOne) => {
                this.handleSelectedData(selectedOne);
            }}/>);
        };
        this.state = {
            selectedItems: Array(),
        };
    }
    render() {
        return (<react_native_1.View>
        <react_native_1.FlatList horizontal data={this.props.data} renderItem={this.renderCard} contentInset={MultiGridSingleSelect_style_1.default.cardListContentInset} style={[MultiGridSingleSelect_style_1.default.listStyle, this.props.listStyle]}/>
      </react_native_1.View>);
    }
}
exports.default = MultiGridSingleSelect;
//# sourceMappingURL=MultiGridSingleSelect.js.map