"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const React = tslib_1.__importStar(require("react"));
const react_native_1 = require("react-native");
const react_native_bounceable_1 = tslib_1.__importDefault(require("@freakycoder/react-native-bounceable"));
/**
 * ? Local Imports
 */
const SelectButton_style_1 = tslib_1.__importStar(require("./SelectButton.style"));
const SelectButton = ({ style, text, textStyle, isActive = false, activeColor = "#307ff2", onPress, }) => {
    /* -------------------------------------------------------------------------- */
    /*                               Render Methods                               */
    /* -------------------------------------------------------------------------- */
    const renderSingleSelectIcon = () => (<react_native_1.View style={SelectButton_style_1._outerCircleStyle(isActive)}>
      <react_native_1.View style={SelectButton_style_1._innerCircleStyle(isActive, activeColor)}/>
    </react_native_1.View>);
    const renderTextContainer = () => (<react_native_1.View style={SelectButton_style_1.default.textContainer}>
      <react_native_1.Text style={[SelectButton_style_1._textStyle(isActive), textStyle]}>{text}</react_native_1.Text>
    </react_native_1.View>);
    return (<react_native_bounceable_1.default bounceEffect={0.97} style={[SelectButton_style_1._container(isActive, activeColor), style]} onPress={onPress}>
      <react_native_1.View style={[SelectButton_style_1.default.buttonStyle, style]}>
        {renderSingleSelectIcon()}
        {renderTextContainer()}
      </react_native_1.View>
    </react_native_bounceable_1.default>);
};
exports.default = SelectButton;
//# sourceMappingURL=SelectButton.js.map