"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports._container = exports._textStyle = exports._innerCircleStyle = exports._outerCircleStyle = void 0;
const react_native_1 = require("react-native");
const { width: ScreenWidth } = react_native_1.Dimensions.get("screen");
const _outerCircleStyle = (isActive) => ({
    width: 20,
    height: 20,
    borderRadius: 20,
    alignItems: "center",
    justifyContent: "center",
    backgroundColor: isActive ? "#fff" : "#e5e8eb",
});
exports._outerCircleStyle = _outerCircleStyle;
const _innerCircleStyle = (isActive, activeColor) => ({
    width: 12,
    height: 12,
    borderRadius: 10,
    backgroundColor: isActive ? activeColor : "#e5e8eb",
});
exports._innerCircleStyle = _innerCircleStyle;
const _textStyle = (isActive) => ({
    fontWeight: "600",
    color: isActive ? "#fff" : "#757575",
});
exports._textStyle = _textStyle;
const _container = (isActive, activeColor) => ({
    backgroundColor: isActive ? activeColor : "#fff",
    height: 60,
    marginTop: 12,
    borderWidth: 1,
    borderRadius: 12,
    alignItems: "center",
    borderColor: "#e9eaea",
    justifyContent: "center",
});
exports._container = _container;
exports.default = react_native_1.StyleSheet.create({
    buttonStyle: {
        padding: 12,
        borderRadius: 16,
        flexDirection: "row",
        alignItems: "center",
        width: ScreenWidth * 0.8,
    },
    textContainer: {
        marginLeft: 16,
    },
});
//# sourceMappingURL=SelectButton.style.js.map